# Create an Onboarding Form Link

Create a link that lets users resume their Onboarding Form.

Endpoint: POST /onboarding_forms/{onboarding_form_id}/links
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `onboarding_form_id` (string, required)
    The ID of the onboarding_form resource.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

  - `Content-Type` (string)
    The data type being sent in the request body must be application/json.
    Example: "application/json"

## Request fields (application/json):

  - `expiration_in_minutes` (integer, required)
    How long (in minutes) the link should be valid for. Defaults to 60 minutes.

  - `expired_session_url` (string, required)
    The URL users get sent to if the bearer token expires.

  - `fee_details_url` (string, required)
    The URL of the page where you display the fees related to processing payments (for more info, see [Onboarding Forms](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/)).

  - `merchant_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's card payment processing.

  - `merchant_ach_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's ACH payment processing.

  - `return_url` (string, required)
    The URL users get sent to after completing the onboarding flow.

  - `terms_of_service_url` (string, required)
    Your Terms of Service URL. The URL is provided to users for consent along with Finix's Terms of Service.

## Response 201 fields (application/json):

  - `expires_at` (string)
    A UTC timestamp detailing when the onboarding form expires and will no longer be available via link_url. To generate a new link to the same form, see [Get an Onboarding Form URL](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/#fetching-an-onboarding-form-link).

  - `link_url` (string)
    The URL of the user's Finix Onboarding Form. Users can use the link_url to return to the form until the link expires.

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


